version: 2
jobs:
    build:
        docker:
            - image: circleci/python:3-stretch
        working_directory: ~/website
        steps:
            - checkout
            - setup_remote_docker
            - run:
                name: Install Docker Compose
                command: |
                  curl -L https://github.com/docker/compose/releases/download/1.22.0/docker-compose-`uname -s`-`uname -m` > ~/docker-compose
                  chmod +x ~/docker-compose
                  sudo mv ~/docker-compose /usr/local/bin/docker-compose
            - run: docker-compose build
            - run: ./scripts/production.sh build
            - run: docker-compose run app ./scripts/test.sh
